/**
 * Created by mac on 16/5/30.
 */

const config = require('config'),
    {log} = require('./logger');


module.exports = function (options) {

    const mongoose = options.mongoose ? options.mongoose : require('mongoose')
    const db = mongoose.connection;
    mongoose.Promise = global.Promise;

    if (options && options.onError) {
        db.on('error', options.onError);
    } else {
        db.on('error', function (err) {
            log.error("mongodb connection error: " + err);
        });
    }

    if (options && options.onOpen) {
        db.once('open', options.onOpen);
    } else {
        db.once('open', function () {
            log.info("mongodb connected: " + config.db.host);
        });
    }

    mongoose.connect(config.db.host, {useNewUrlParser: true, useCreateIndex: true});
};
