/**
 * Created by mac on 2017/1/11.
 */

const {cryptokit} = require('../index');


test('HmacSha1', () => {
    var key = 'Gu5t9xGARNpq86cd98joQYCN3Cozk1qA';
    var data = 'GETcvm.api.qcloud.com/v2/index.php?Action=DescribeInstances&Nonce=11886&Region=gz&SecretId=AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA&Timestamp=1465185768&instanceIds.0=ins-09dx96dg&limit=20&offset=0';
    var encrypt = cryptokit.hmacSha1Encode(key, data);
    expect(encrypt).toBe('NSI3UqqD99b/UJb4tbG/xZpRW64=');
});

test('AES256', () => {
    let key = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
    let data = Buffer.from("124653");
    let iv = new Buffer.alloc(16);
    let output = cryptokit.aesEncode(key, data, iv);
    expect(output).toBe('JWGTISPSq+SnYa+MNX5jxA==');

    let key1 = "utCPPabns1vW1tf9otDotmQ2ZTI0MGVmYTY3NTg4MmU=";
    let data1 = Buffer.from("183060");
    let output1 = cryptokit.aesEncode(Buffer.from(key1, 'base64'), data1, iv);
    expect(output1).toBe('POqkg5MfOfmeTe/Dnpf/iA==');
});

test('AES128', () => {
    let key = "aaaaaaaaaaaaaaaa";
    let data = Buffer.from("124653");
    let iv = new Buffer.alloc(16);
    let output = cryptokit.aes128Encode(key, data, iv);
    expect(output).toBe('RcXooMA2mnG/VtQDib+X1A==');

    let plain = cryptokit.aes128Decode(key, new Buffer(output, 'base64'), iv);
    expect(plain).toBe('124653');

    let key1 = "YWFhYWFhYWFhYWFhYWFhYQ==";
    let data1 = Buffer.from("124653");
    let output1 = cryptokit.aes128Encode(Buffer.from(key1, 'base64'), data1, iv);
    expect(output1).toBe('RcXooMA2mnG/VtQDib+X1A==');
});
