const {ipFilter} = require('../index');


test('testValidIp', () => {
    let t1 = ipFilter.isValid("127.0.0.1")
    expect(t1).toBe(true);

    let t2 = ipFilter.isValid("192.168.0.2")
    expect(t2).toBe(false);

    let t3 = ipFilter.isValid("10.199.8.2")
    expect(t3).toBe(true);

    let t4 = ipFilter.isValid("221.181.92.162")
    expect(t4).toBe(false);

    let t5 = ipFilter.isValid("10.199.4.55")
    expect(t5).toBe(true);
});

test('validProxy', () => {
    let req = {ips: ["127.0.0.1"]}
    let t1 = ipFilter.validProxy(req)
    expect(t1).toBe(true);

    req.ips = ["192.168.0.2"]
    let t2 = ipFilter.validProxy(req)
    expect(t2).toBe(false);

    req.ips = ["10.199.8.2"]
    let t3 = ipFilter.validProxy(req)
    expect(t3).toBe(true);

    req.ips = ["221.181.92.162"]
    let t4 = ipFilter.validProxy(req)
    expect(t4).toBe(false);

    req.ips = ["10.199.4.55"]
    let t5 = ipFilter.validProxy(req)
    expect(t5).toBe(true);
});

